import * as $dara from '@darabonba/typescript';
import { UpdateIpsecServerResponseBody } from "./UpdateIpsecServerResponseBody";
export declare class UpdateIpsecServerResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateIpsecServerResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
